Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# openvrml::viewer_in_use Class Reference

`#include <openvrml/browser.h>`

Inherits std::invalid_argument.

List of all members.

## Detailed Description

Exception thrown when attempting to associate a `viewer` with a `browser` when the `viewer` is already associated with a `browser`.

## Public Member Functions

| viewer_in_use ()
| Construct.
virtual | ~viewer_in_use () throw ()
| Destroy.

## Constructor & Destructor Documentation

openvrml::viewer_in_use::viewer_in_use | ( |  | ) |

Construct.

openvrml::viewer_in_use::~viewer_in_use | ( |  | ) | throw ()`[virtual]`

Destroy.